<?php
/*
 * Copyright 2008 ThinkLeft (thinkleft.com.au)
 * Copyright 2008 ProsePoint (www.prosepoint.org)
 */

function pp_views_default_views() {
  $views_table = array(
    array('file' => 'story_view.view'),
    array('file' => 'source_view.view'),
    array('file' => 'user_posts.view'),
  );
  $views = array();
  $dir = drupal_get_path('module', 'pp') . '/views';
  
  foreach ($views_table as $views_entry) {
    $view_serial = file_get_contents($dir . '/' . $views_entry['file']);
    
    ob_start();
    eval($view_serial);
    ob_end_clean();
    
    $views[$view->name] = $view;  
  }

  // Customisations: Adjust filter for story_view to allow public, private, archived nodes
  $workflow_states = variable_get('pp_publishing_states', FALSE);
  if ($workflow_states) {
    $value = array();
    foreach (array('public', 'private', 'archived') as $state) {
      $sid = $workflow_states[$state]['sid'];
      $value[$sid] = $sid;
    }
    $views['story_view']->display['default']->display_options['filters']['sid']['value'] = $value;
  }
  
  return $views;
}

